## GdaReportRmlDocument GdaReportRmlDocument — Report document based on the RML dialect |

## Stability Level

Stable, unless otherwise indicated

## Functions

GdaReportDocument * | gda_report_rml_document_new ()

## Types and Values

struct | GdaReportRmlDocument

## Object Hierarchy

        GObject
        ╰── GdaReportDocument
            ╰── GdaReportRmlDocument

## Description

The GdaReportRmlDocument makes it easy to create reports based on a RML template file.

RML (Report Markup Language) is an XML dialect which allows one to describe in a very precise way layouts which can then be converted to PDF. For more information, see the

ReportLab or OpenReport web pages.

## Functions

### gda_report_rml_document_new ()

    GdaReportDocument *
    gda_report_rml_document_new (GdaReportEngine *engine);

Creates a new GdaReportRmlDocument using `engine` if specified

#### Parameters

engine | a GdaReportEngine, or `NULL`. | [allow-none]

#### Returns

a new GdaReportRmlDocument object

## Types and Values

### struct GdaReportRmlDocument

    struct GdaReportRmlDocument;

## See Also

GdaReportDocument